Skip to main content
`Ctrl`+`K`

# pandas.Series.tail

Series.tail(n=5)

  Return the last n rows.

  This function returns last n rows from the object based on position. It is useful for quickly verifying data, for example, after sorting or appending rows.

  For negative values of n, this function returns all rows except the first |n| rows, equivalent to `df[|n|:]`.

  If n is larger than the number of rows, this function returns all rows.

  Parameters:
    n int, default 5

      Number of rows to select.

  Returns:
    type of caller

      The last n rows of the caller object.

  See also

  `DataFrame.head`

    The first n rows of the caller object.

  Examples

      >>> df = pd.DataFrame({'animal': ['alligator', 'bee', 'falcon', 'lion',
      ...                    'monkey', 'parrot', 'shark', 'whale', 'zebra']})
      >>> df
            animal
      0  alligator
      1        bee
      2     falcon
      3       lion
      4     monkey
      5     parrot
      6      shark
      7      whale
      8      zebra

  Viewing the last 5 lines

      >>> df.tail()
         animal
      4  monkey
      5  parrot
      6   shark
      7   whale
      8   zebra

  Viewing the last n lines (three in this case)

      >>> df.tail(3)
        animal
      6  shark
      7  whale
      8  zebra

  For negative values of n

      >>> df.tail(-3)
         animal
      3    lion
      4  monkey
      5  parrot
      6   shark
      7   whale
      8   zebra